<template>
  <div class="detail--container">
    <figure>
      <img :src="getSerieSelected.image.original" :alt="getSerieSelected.name">
    </figure>
    <main>
      <div class="row">
        <h1>{{getSerieSelected.name}}</h1>
      </div>
      <div>
         <p><strong>Rating: </strong>{{getSerieSelected.rating.average}}<span></span></p>
      </div>
      <div>
        <p><strong>Horario: </strong>
          <span>
            <ul>
              <li
                class="container--card__days"
                v-for="(day, index) in getSerieSelected.schedule.days"
                :key="index"
              >
              <p>{{day}} - {{getSerieSelected.schedule.time}}</p>
              </li>
            </ul>
          </span>
        </p>
      </div>

      <div>
        <p><strong>Duración de capitulo: </strong> <span>{{getSerieSelected.runtime}}</span></p>
      </div>
      <div>
        <p class="flex"><strong>Generos: </strong>
          <ul>
            <li
              v-for="(genre, index) in getSerieSelected.genres"
              :key="index"
            >
              <p class="bagdet">{{genre}}</p>
            </li>
          </ul>
        </p>
      </div>
      <div>
        <p><strong>Status: </strong><span>{{getSerieSelected.status}}</span></p>
      </div>
      <div>
        <p><strong>URL del show: </strong><a :href="getSerieSelected.url" target="_blank">{{getSerieSelected.url}}</a></p>
      </div>
      <div>
        <p v-html="getSerieSelected.summary"></p>
      </div>
    </main>
  </div>
</template>

<script>
import { mapActions, mapGetters } from 'vuex'
export default {
  props: {
    idSerie: String
  },
  computed: {
    ...mapGetters([
      'getSerieSelected'
    ])
  },
  methods: {
    ...mapActions([
      'getDetail'
    ])
  },
  created() {
    this.getDetail(this.idSerie)
  }
}
</script>

<style lang="sass" scoped>
@import '../../shared/sass/index.sass'
ul
  list-style: none
  display: flex
  color: $gray
  margin: 0
  padding: 0
.bagdet
  padding: 9px
  margin-right: 4px
  background: white
  border-radius: 10px
.detail--container
  width: calc( 100vw - 2rem )
  min-height: 100vh
  background: black
  display: grid
  grid-auto-flow: dense
  grid-template-columns: 60% 40%
  color: white
  h1
    margin: 0
    font-size: 3rem
    padding-bottom: 2rem
    color: $gray
figure,
img
  height: 100%
  overflow: hidden
  position: fixed
  right: 0
main
  padding: 2rem
  width: 85%
  font-size: 1.2rem
</style>